org.apache.ignite.spi.systemview.view.datastructures

## Class AtomicStampedView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.datastructures.AtomicStampedView

    public class AtomicStampedView
    extends Object

`IgniteAtomicStamped` representation for a `SystemView`.

See Also:
  `Ignite.atomicStamped(String, Object, Object, boolean)`, `Ignite.atomicStamped(String, AtomicConfiguration, Object, Object, boolean)`

### Field Summary

Fields
`protected T` `ds` Data structure instance.

### Constructor Summary

Constructors
Constructor and Description
`AtomicStampedView(GridCacheRemovable ds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `groupId()`
`String` `groupName()`
`String` `name()`
`boolean` `removed()`
`String` `stamp()`
`String` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ds

    protected final T extends AtomicDataStructureProxy ds

Data structure instance.

### Constructor Detail

#### AtomicStampedView

    public AtomicStampedView(GridCacheRemovable ds)

Parameters:
  `ds` - Data structure instance.

### Method Detail

#### value

    public String value()

Returns:
  Value.
See Also:
  `IgniteAtomicStamped.get()`

#### stamp

    public String stamp()

Returns:
  Stamp.
See Also:
  `IgniteAtomicStamped.stamp()`

#### name

    public String name()

Returns:
  Name.

#### groupName

    public String groupName()

Returns:
  Group name.

#### groupId

    public int groupId()

Returns:
  Group id.

#### removed

    public boolean removed()

Returns:
  `True` is data structure removed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021